mia-cmeans(1)

NAME
mia-cmeans - C-means classification of a histogram.

SYNOPSIS
mia-cmeans -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-cmeans This Program reads a histogram from stdin and evaluates a cmeans classification of the intensity values into the given number of classes.

OPTIONS

    -i --in-file=(input, required); string
        input file name containing the histogram

    -o --out-file=(output, required); string
        output file name to store probabilities

    -n --nclasses=3
        number of classes to partition into

    -m --max-iter=100
        maximum number of iterations

    -e --even-start
        start with centers evenly distributed over the histogram

    -c --class-centers=
        initial class centers

    -a --auto
        atomatic adaption of variance (experimental)

    -t --cut-histo
        cut empty histogram at the end

    -k --variance=1
        variance parameter

    --self-test
        run self test

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

EXAMPLE

mia-cmeans

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.